> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 943

> Wire-ready X12 943 interchange

### Path parameters

<ParamField path="partner_id" type="string" required>
  Partner ID
</ParamField>

### Request body

`Transfer943`

<ParamField body="carrier_scac" type="string">
  W2702 — carrier SCAC.
</ParamField>

<ParamField body="items" type="TransferItem[]" required />

<ParamField body="ship_date" type="string (date)" required>
  W0603 / G62\*11 — ship date.
</ParamField>

<ParamField body="ship_from" type="object" />

<ParamField body="ship_to" type="object" />

<ParamField body="shipment_id" type="string" required>
  W0604 — the shipment identification for this transfer.
</ParamField>

<ParamField body="transfer_number" type="string" required>
  W0602 — depositor (our) order/transfer number.
</ParamField>

### Response

No response body. Wire-ready X12 943 interchange.

### Status codes

| Code  | Meaning                                |
| ----- | -------------------------------------- |
| `200` | Wire-ready X12 943 interchange         |
| `403` | Not this credential's partner          |
| `422` | Invalid payload or delimiter collision |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://edi.stateset.com/v1/edi/outbound/943/{partner_id}' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "carrier_scac": "string",
    "items": [
      {
        "quantity": "string",
        "sku": "SKU-TENT-2P-GRN",
        "sku_qualifier": "string",
        "uom": "string"
      }
    ],
    "ship_date": "2026-08-31",
    "ship_from": {
      "address_lines": [
        "548 Market St"
      ],
      "city": "San Francisco",
      "country": "US",
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "id_qualifier": "string",
      "name": "Two-Person Tent",
      "postal_code": "94107",
      "role": "string",
      "state": "CA"
    },
    "ship_to": {
      "address_lines": [
        "548 Market St"
      ],
      "city": "San Francisco",
      "country": "US",
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "id_qualifier": "string",
      "name": "Two-Person Tent",
      "postal_code": "94107",
      "role": "string",
      "state": "CA"
    },
    "shipment_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "transfer_number": "string"
  }'
  ```
</RequestExample>
